## lmodern 2.005

=== debian/changelog ===
lmodern (2.005-1) unstable; urgency=low

  New upstream release
  * A bug in *lm*tt.fd files, corrected on 01.05.2015, installed belatedly
    (thanks to Enrico Malizia); fonts were not touched

  * Add me to Uploaders.
  * Lots of lintian fixes...and Overrides.
  * Remove trailing white space from d/changelog.
  * Turn package into source format "3.0 (quilt)" (Closes: #1007060).
  * Remove obsolete file debian/lmodern.preinst.
  * Debhelper compat 13.
  * Bump Standards version to 4.6.0, no(?) changes needed.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Mark lmodern Multi-Arch: foreign. (Closes: #982610)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
    + Build-Depends-Indep: Drop versioned constraint on tex-common.
    + lmodern: Drop versioned constraint on context in Conflicts.
    + fonts-lmodern: Drop versioned constraint on lmodern in Replaces.
    + fonts-lmodern: Drop versioned constraint on lmodern in Breaks.
    + Remove 2 maintscript entries from 1 files.

 -- Hilmar Preusse <hille42@web.de>  Fri, 11 Mar 2022 23:39:18 +0100

lmodern (2.004.5-6) unstable; urgency=medium

  * update VCS, my email, and standard versions

 -- Norbert Preining <norbert@preining.info>  Thu, 28 Feb 2019 23:52:28 +0900

lmodern (2.004.5-5) unstable; urgency=medium

  * go back to source format 1.0, dpkg/quilt creates irrelevant
    directories in case no patches are available, breaking builds
    (Closes: #906762)

 -- Norbert Preining <preining@debian.org>  Wed, 22 Aug 2018 10:15:43 +0900

lmodern (2.004.5-4) unstable; urgency=medium

  * remove Florent from the list of uploaders, thanks for your work
    (Closes: #869308)
  * move calls to dh_links above dh_installxfonts to get proper
    X font installation, thanks Paul Wise (Closes: #905879)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 14 Aug 2018 23:04:58 +0900

lmodern (2.004.5-3) unstable; urgency=medium

  * fix dh_installtex call (Closes: #814321)

 -- Norbert Preining <preining@debian.org>  Fri, 25 Mar 2016 00:00:12 +0900

lmodern (2.004.5-2) unstable; urgency=medium

  * drop dh_installtex call for fonts-lmodern, as all work is done
    via triggers, remove misc:deps (Closes: #814321)
  * bump standards version, no changes necessary
  * update vcs-browser field

 -- Norbert Preining <preining@debian.org>  Fri, 18 Mar 2016 16:21:43 +0900

lmodern (2.004.5-1) unstable; urgency=medium

  * new upstream release with new Latin Modern Math fonts (Closes: #799731)
  * remove Kohda-san from the uploaders, thanks for his contributions
    (Closes: #773958)
  * override license-problem-font-adobe-copyrighted-fragment, nothing
    we can do for now

 -- Norbert Preining <preining@debian.org>  Thu, 24 Sep 2015 19:47:45 +0900

lmodern (2.004.4-5) unstable; urgency=medium

  * fix another dangling symlink (Closes: #766155)

 -- Norbert Preining <preining@debian.org>  Wed, 22 Oct 2014 08:31:50 +0900

lmodern (2.004.4-4) unstable; urgency=low

  * fix more dangling symlinks (Closes: #708643, #706998)
    (I like it when people reopen bugs although there is a duplicate
    bug that they themselves opened ... seems to be fun)
  * remove C.M. Connelly from uploaders, MIA (Closes: #765325)
  * bump standards version, no changes necessary
  * add Multi-Arch: foreign

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:15:02 +0900

lmodern (2.004.4-3) unstable; urgency=low

  * fix dangling symlinks of docs (Closes: #706998)
  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 13:20:24 +0900

lmodern (2.004.4-2) experimental; urgency=low

  * move doc files into /usr/share/texmf/doc
  * build-depend on tex-common >= 4.01
  * bump standards version to 3.9.4, no changes necessary
  * adjust lintian ignore for new location

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 14:19:37 +0900

lmodern (2.004.4-1) experimental; urgency=low

  * new upstream release with another change of the naming of the
    math font
  * fix Vcs fields

 -- Norbert Preining <preining@debian.org>  Mon, 10 Dec 2012 08:23:34 +0900

lmodern (2.004.3-1) unstable; urgency=low

  * include lm-math opentype fonts: this superseeds the font included
    in 2.004.2-1, and also introduces a file name change
  * split OTF fonts into a separate package fonts-lmodern
    (Closes: #689580, #689581)
  * don't mention defoma in description anymore (Closes: #685120)
  * install a fontconfig file that makes the opentype fonts available
    and disables the type 1 fonts for fontconfig
    (Closes: #687940, #645841)
  * clean out cruft in the maintainer scripts, simplify rules file,
    update copyright, pre-generate all files, compat level bump to 9

 -- Norbert Preining <preining@debian.org>  Tue, 30 Oct 2012 12:23:46 +0900

lmodern (2.004.2-1) unstable; urgency=low

  * ship lmmath-regular.otf font that was added to the TeX Live
    distribution and is necessary for the default math font setup
    of unicode-math (Closes: #684157)

 -- Norbert Preining <preining@debian.org>  Wed, 08 Aug 2012 01:02:48 +0900

lmodern (2.004.1-5) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:22:17 +0900

lmodern (2.004.1-4) experimental; urgency=low

  [ Hilmar Preuße ]
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand. Thanks to Colin Watson
    (Closes: #659608)

  [ Norbert Preining ]
  * fix maintscript to use the right version number for removing
    defoma config file
  * tex-common v3 build for TL2012, bump build-deps
  * bump standards version to 3.9.3, no changes needed

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2012 09:47:26 +0900

lmodern (2.004.1-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Transition away from defoma. Closes: #649831


