=== debian/control ===
Source: lmodern
Section: fonts
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>,
	Frank Küster <frank@debian.org>,
	Norbert Preining <norbert@preining.info>,
	Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (=13)
Build-Depends-Indep: tex-common
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/debian-tex/lmodern.git
Vcs-Browser: https://github.com/debian-tex/lmodern
Homepage: http://www.gust.org.pl/projects/e-foundry/latin-modern/

Package: lmodern
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, fonts-lmodern (= ${source:Version})
Conflicts: lm, lmodern-x11
Replaces: lm, lmodern-x11
Description: scalable PostScript and OpenType fonts based on Computer Modern
 The Latin Modern fonts, also known as "lm fonts", are a set of
 scalable fonts in PostScript Type 1 and OpenType formats. They are
 based on the PostScript Type 1 version of the Computer Modern fonts
 and contain many additional characters (mostly accented ones).
 .
 This package provides TeX support and Type1 (PostScript) fonts. If only
 the OpenType fonts are needed, please see the package fonts-lmodern.
 .
 See the description for fonts-lmodern package for more information.

Package: fonts-lmodern
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: OpenType fonts based on Computer Modern
 The Latin Modern fonts, also known as "lm fonts", are a set of
 scalable fonts in PostScript Type 1 and OpenType formats. They are
 based on the PostScript Type 1 version of the Computer Modern fonts
 and contain many additional characters (mostly accented ones).
 .
 This package provides the OpenType variant of these fonts. For support
 for TeX and Type 1 (PostScript) fonts, see the lmodern package.
 .
 The Latin Modern fonts were generated using MetaType1, a program
 based on MetaPost for generating PostScript Type 1 fonts
 (ftp://bop.eps.gda.pl/pub/metatype1/). Their size is reasonable and
 they are usually considered to be of good quality (compared to
 cm-super, for instance; however, cm-super contains font families
 that have no equivalent in this package; additionally, there are
 character sets that are supported by cm-super and not by the Latin
 Modern fonts).
