=== debian/rules ===
#! /usr/bin/make -f

build: build-arch build-indep
build-arch:
build-indep: build-indep-stamp

build-indep-stamp:
	dh_testdir fonts/type1/public/lm/lmr10.pfb tex/latex/lm/lmodern.sty
	# Warn the person building the package if new files were added
	# to the .orig.tar.gz + .diff.gz that this script is not aware of.
	@newfiles=$$(find . -type f | grep -Ev \
          -e '^\./debian/' \
          -e '^\./.pc/' \
          -e '^\./fonts/type1/public/lm/[^/]*\.pf[bm]$$' \
          -e '^\./fonts/afm/public/lm/[^/]*\.afm$$' \
          -e '^\./fonts/afm/public/lm/[^/]*\.aft$$' \
          -e '^\./fonts/tfm/public/lm/[^/]*\.tfm$$' \
	  -e '^\./fonts/map/dvips/lm/[^/]*\.map$$' \
	  -e '^\./fonts/map/dvipdfm/lm/[^/]*\.map$$' \
	  -e '^\./fonts/enc/dvips/lm/[^/]*\.enc$$' \
	  -e '^\./fonts/opentype/public/lm/[^/]*\.otf$$' \
	  -e '^\./fonts/opentype/public/lm-math/[^/]*\.otf$$' \
          -e '^\./tex/latex/lm/[^/]*\.(fd|sty)$$' \
	  -e '^\./(README\.eng|README)$$' \
	  -e '^\./(lm1\.106mt1\.zip)$$' \
	  -e '^\./doc/fonts/lm-math/[^/]*\.(tex|pdf|txt|eng|TXT|docx)$$' \
	  -e '^\./doc/fonts/lm/[^/]*\.(tex|pdf|txt|eng|TXT)$$' || true) && \
          if [ -n "$$newfiles" ]; then \
              { echo "New files were found in the patched tarball" \
                     "(.orig.tar.gz + .diff.gz):"; \
                echo "$$newfiles" | sed 's/^\(.*\)$$/  \1/'; \
                echo; \
                echo "Please update the debian/rules file accordingly."; \
              } >&2; \
              exit 1; \
          fi

        # Upstream provides <texmf>/fonts/map/dvips/lm/lm.map that should be
        # equivalent to all the encoding-specific map files in
        # <texmf>/fonts/map/dvips/lm/ but the replacement maps for CM, CS
        # PL and VN fonts. Let's check if this is really the case.
	@export LC_COLLATE=C \
	&& a=$$(find fonts/map/dvips/lm \
              \( -name "*.map" -not -name lm.map -not -name "lm-rep-*.map" \) \
              -print0 | xargs -0r cat | grep -Ev -e '^(%|[[:space:]]*$$)' \
                      | sort) \
	&& b=$$(sort < fonts/map/dvips/lm/lm.map | grep -Ev -e \
                                                        '^(%|[[:space:]]*$$)') \
	&& if [ "$$a" != "$$b" ]; then \
             { echo; \
               echo "Warning: fonts/map/dvips/lm/lm.map does not appear to" \
                    "be equivalent to"; \
               echo "the concatenation of the other map files found in" \
                    "fonts/map/dvips/lm/."; \
               echo; \
             } >&2; \
           fi

	touch build-indep-stamp

clean:
	dh_testdir fonts/type1/public/lm/lmr10.pfb tex/latex/lm/lmodern.sty
	dh_testroot
	# dh_clean removes *-stamp files from compat v7 upward
	dh_clean

debian/x11links:
	# mind the $$ to trick make into using the right quotes
	tail -n+2 debian/lmodern.scale | \
	  awk -F. '{print$$1}' | sort | uniq | \
	  sed -ne 's!^\(.*\)$$!usr/share/texmf/fonts/type1/public/lm/\1.pfb usr/share/fonts/X11/Type1/\1.pfb\nusr/share/texmf/fonts/afm/public/lm/\1.afm usr/share/fonts/X11/Type1/\1.afm!p' \
	  > debian/x11links
	
binary-indep: build-indep
	dh_testdir fonts/type1/public/lm/lmr10.pfb tex/latex/lm/lmodern.sty
	dh_testroot
	dh_clean
	dh_install
	dh_link
	dh_installxfonts
	dh_installtex --package=lmodern map=Map,lm.map
	dh_installdocs
	dh_installchangelogs
	dh_lintian
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.PHONY: clean build build-arch build-indep binary binary-indep binary-arch
